import { jsx } from "react/jsx-runtime";
import { TokenINS as TokenINS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenINS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "INS", "data-name": "TokenINS", ...props, children: /* @__PURE__ */ jsx(TokenINS$1, { variant }) });
  }
);
TokenINS.displayName = "TokenINS";
Object.assign(TokenINS, { isGdsIcon: true });
export {
  TokenINS
};
